---
# Omnibus or Cloud Native Hybrid
- hosts: all:!gitlab_*_node_pool:!ungrouped
  become: true
  any_errors_fatal: false
  ignore_unreachable: true
  ignore_errors: true
  no_log: true
  roles:
    - common_vars
  tasks:
    - name: Geo Failover - Disable primary site
      import_role:
        name: gitlab_geo
        tasks_from: failover-disable-primary
      tags: disable-primary
      when: groups | select('match', 'gitaly|gitlab_rails') | length > 0

- hosts: all:!gitlab_*_node_pool:!ungrouped
  become: true
  ignore_unreachable: true
  roles:
    - common_vars
  tasks:
    - name: Geo Failover - Promote secondary site
      import_role:
        name: gitlab_geo
        tasks_from: failover-promote-secondary
      tags: promote-secondary
      when: groups | select('match', 'gitaly|gitlab_rails') | length > 0

# Cloud Native with no Omnibus backends
- hosts: localhost
  any_errors_fatal: false
  ignore_errors: true
  no_log: true
  roles:
    - common_vars
  tasks:
    - name: Geo Failover - Disable primary site
      import_role:
        name: gitlab_geo
        tasks_from: failover-disable-primary
      tags: disable-primary
      when: groups | select('match', 'gitaly|gitlab_rails') | length == 0

- hosts: localhost
  roles:
    - common_vars
  tasks:
    - name: Geo Failover - Promote secondary site
      import_role:
        name: gitlab_geo
        tasks_from: failover-promote-secondary
      tags: promote-secondary
      when: groups | select('match', 'gitaly|gitlab_rails') | length == 0
